=== debian/changelog ===
libint2 (2.1.0~beta2-2) unstable; urgency=medium

  * debian/control (libint2-dev/Depends): Added Depends on libint2-2.

 -- Michael Banck <mbanck@debian.org>  Sun, 14 Feb 2016 11:28:04 +0100

libint2 (2.1.0~beta2-1) unstable; urgency=low

  * Initial upload of libint2.

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Aug 2015 02:08:01 +0200
