=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export LD_LIBRARY_PATH=$(CURDIR)/lib/.libs 

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --with-build-id=''

override_dh_auto_clean:
	dh_auto_clean
	rm -fr tests/eri/.libs
	rm -f include/libint2/basis.h

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	-(cd tests && $(MAKE) check LD_LIBRARY_PATH=$(CURDIR)/lib/.libs)
endif
