=== debian/watch ===
version=3
http://sf.net/libint/libint-([\d.]+)-stable\.tgz
