=== debian/changelog ===
libint2 (2.1.0-3) unstable; urgency=medium

  * debian/patches/revert_GaussianGmEvalScratch_changes.patch: New patch,
    revert a library change which broke the mpqc3 build.

 -- Michael Banck <mbanck@debian.org>  Sat, 08 Oct 2016 14:04:10 +0200

libint2 (2.1.0-2) unstable; urgency=medium

  * Acknowledge NMU.
  * debian/rules (override_dh_auto_configure): Disable g12 option.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Oct 2016 08:27:16 +0200

libint2 (2.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Call autogen.sh before configure
  * build-depend on libgmp-dev, libboost-dev
  * Don't call dh_auto_clean in clean target; it calls make distclean on
    an unconfigured system and screws sources. Closes: #823803	

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Sep 2016 14:47:38 +0100

libint2 (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules (override_dh_auto_configure): Enabled eri, eri2, eri3 and g12
    options in configure.

 -- Michael Banck <mbanck@debian.org>  Sun, 08 May 2016 19:47:23 +0200
