=== src/bin/profile/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 #
 # making target2
 #
-COMP2 = profile_Gm
+COMP2 = profile
 COMP2SRC = $(COMP2).cc
 COMP2OBJ = $(COMP2SRC:%.cc=%.o)
