=== debian/changelog ===
libint2 (2.3.0~beta3-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Michael Banck <mbanck@debian.org>  Fri, 20 Jan 2017 20:39:49 +0100

libint2 (2.3.0~beta3-1) experimental; urgency=medium

  * New upstream prerelease.
  * debian/patches/revert_GaussianGmEvalScratch_changes.patch: Removed, no
    longer needed.
  * debian/libint2-dev.install: Install pkgconfig file, thanks to Katsuhiko
    Nishimra.

 -- Michael Banck <mbanck@debian.org>  Thu, 19 Jan 2017 19:18:55 +0100
