=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, libtool
+Build-Depends: debhelper (>= 8.0.0), autotools-dev, libtool,
+  libgmp-dev, libboost-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/evaleev/libint
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/libint2/
