=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,16 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-shared --with-build-id=''
+	./autogen.sh
+	dh_auto_configure -- 		\
+		--with-build-id=''	\
+		--enable-shared		\
+		--enable-eri=yes	\
+		--enable-eri2=yes	\
+		--enable-eri3=yes
 
 override_dh_auto_clean:
-	dh_auto_clean
+	#dh_auto_clean
 	rm -fr tests/eri/.libs
 	rm -f include/libint2/basis.h
